<?xml version="1.0"?>

<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:template match="/">
		<html>
			<body>
				<table
					style="font-family:Times New Roman; font-size:small; margin-bottom:0; margin-left:0; margin-right:0; margin-top:0; padding-bottom:0; padding-left:0; padding-right:0; "
					border="0">
					<thead>
						<tr bgcolor="#e1e1e1">
							<th colspan="2" style="text-align:left;">
								Total count of RDB tables:
								<xsl:value-of
									select="count( org.coode.owl22rdb.model.rdb.RdbDatabase/tables/org.coode.owl22rdb.model.rdb.RdbTable )" />
							</th>
						</tr>
						<tr bgcolor="#e1e1e1">
							<th style="text-align:left">Table name</th>
							<th style="text-align:left">Derived from</th>
						</tr>
					</thead>
					<tbody>
						<xsl:for-each select="org.coode.owl22rdb.model.rdb.RdbDatabase">
							<xsl:for-each select="tables">
								<xsl:for-each select="org.coode.owl22rdb.model.rdb.RdbTable">
									<tr
										style="background-color:#d2d2d2; border-bottom-color:black; border-bottom-style:solid; border-bottom-width:thin; font-size:medium; font-style:italic; font-weight:bolder; ">
										<td style="font-style:italic; font-weight:bolder; width:5.33in; ">
											<xsl:for-each select="name">
												<xsl:apply-templates />
											</xsl:for-each>
										</td>
										<td>
											<xsl:for-each select="transformedFrom">
												<xsl:apply-templates />
											</xsl:for-each>
										</td>
									</tr>
									<tr style="height:0.16in; ">
										<td colspan="2" style="width:5.33in; ">
											<table style="font-family:Cambria; " border="0">
												<thead style="font-weight:bolder; ">
													<tr
														style="background-color:#f0f0f0; font-size:small; font-weight:bolder; ">
														<th style="width:0.09in; " />
														<th style="font-weight:bolder; text-align:left; ">
															<span>
																<xsl:text>Primary key</xsl:text>
															</span>
														</th>
														<th style="font-weight:bolder; text-align:left; ">
															<span>
																<xsl:text>Columns </xsl:text>
															</span>
														</th>
													</tr>
												</thead>
												<tbody>
													<xsl:for-each select="primaryKey">
														<tr
															style="background-color:#ffffe9; font-style:italic; height:0.07in; text-align:left; ">
															<td style="width:0.09in; " />
															<td style="font-style:italic; ">
																<xsl:for-each select="name">
																	<xsl:apply-templates />
																</xsl:for-each>
															</td>
															<td>
																<table border="0" cellpadding="0" cellspacing="0">
																	<tbody>
																		<xsl:for-each select="columns">
																			<xsl:for-each select="string">
																				<tr>
																					<td>
																						<xsl:apply-templates />
																					</td>
																				</tr>
																			</xsl:for-each>
																		</xsl:for-each>
																	</tbody>
																</table>
															</td>
														</tr>
													</xsl:for-each>
												</tbody>
											</table>
										</td>
									</tr>
									<tr style="height:0.16in; ">
										<td colspan="2" style="width:5.33in; ">
											<table border="0">
												<thead>
													<tr style="background-color:#f0f0f0; font-weight:bolder; ">
														<th style="width:0.08in; " />
														<th style="font-weight:bolder; text-align:left; width:1.41in; ">
															<span>
																<xsl:text>Foreign Key name</xsl:text>
															</span>
														</th>
														<th style="font-weight:bolder; text-align:left; ">
															<span>
																<xsl:text>SourceColumn</xsl:text>
															</span>
														</th>
														<th style="font-weight:bolder; text-align:left; ">
															<span>
																<xsl:text>TargetColumn</xsl:text>
															</span>
														</th>
														<th style="font-weight:bolder; text-align:left; ">
															<span>
																<xsl:text>ForeignTable</xsl:text>
															</span>
														</th>
													</tr>
												</thead>
												<tbody>
													<xsl:for-each select="foreignKeys">
														<xsl:for-each
															select="org.coode.owl22rdb.model.rdb.RdbForeignKeyConstraint">
															<tr
																style="background-color:#ffffe9; font-style:italic; text-align:left; ">
																<td style="width:0.08in; " />
																<td style="width:1.41in; ">
																	<xsl:for-each select="name">
																		<xsl:apply-templates />
																	</xsl:for-each>
																</td>
																<td>
																	<xsl:for-each select="sourceColumn">
																		<xsl:apply-templates />
																	</xsl:for-each>
																</td>
																<td>
																	<xsl:for-each select="targetColumn">
																		<xsl:apply-templates />
																	</xsl:for-each>
																</td>
																<td>
																	<xsl:for-each select="foreignTable">
																		<xsl:apply-templates />
																	</xsl:for-each>
																</td>
															</tr>
														</xsl:for-each>
													</xsl:for-each>
												</tbody>
											</table>
										</td>
									</tr>
									<tr style="height:0.16in; ">
										<td colspan="2" style="width:5.33in; ">
											<table border="0">
												<thead>
													<tr
														style="background-color:#f0f0f0; font-weight:normal; text-align:left; ">
														<th style="width:0.09in; " />
														<th style="font-weight:bolder; width:0.89in; ">
															<span>
																<xsl:text>Column name</xsl:text>
															</span>
														</th>
														<th style="font-weight:bolder; ">
															<span>
																<xsl:text>Type</xsl:text>
															</span>
														</th>
														<th style="font-weight:bolder; ">
															<span>
																<xsl:text>primaryKey</xsl:text>
															</span>
														</th>
														<th style="font-weight:bolder; ">
															<span>
																<xsl:text>foreignKey</xsl:text>
															</span>
														</th>
														<th style="font-weight:bolder; ">
															<span>
																<xsl:text>uniqueKey</xsl:text>
															</span>
														</th>
													</tr>
												</thead>
												<tbody>
													<xsl:for-each select="columns">
														<xsl:for-each select="org.coode.owl22rdb.model.rdb.RdbColumn">
															<tr
																style="background-color:#ffffe9; font-style:italic; text-align:left; ">
																<td style="width:0.09in; " />
																<td style="width:0.89in; ">
																	<xsl:for-each select="name">
																		<xsl:apply-templates />
																	</xsl:for-each>
																</td>
																<td>
																	<xsl:for-each select="type">
																		<xsl:apply-templates />
																	</xsl:for-each>
																</td>
																<td>
																	<xsl:for-each select="primaryKey">
																		<xsl:apply-templates />
																	</xsl:for-each>
																</td>
																<td>
																	<xsl:for-each select="foreignKey">
																		<xsl:apply-templates />
																	</xsl:for-each>
																</td>
																<td>
																	<xsl:for-each select="uniqueKey">
																		<xsl:apply-templates />
																	</xsl:for-each>
																</td>
															</tr>
														</xsl:for-each>
													</xsl:for-each>
												</tbody>
											</table>
										</td>
									</tr>
								</xsl:for-each>
							</xsl:for-each>
						</xsl:for-each>
					</tbody>
				</table>
			</body>
		</html>
	</xsl:template>

</xsl:stylesheet> 